/***Basic Rules***
 *****************/

*{
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    box-sizing:border-box;
}
html{
    -ms-text-size-adjust:100%;
    -webkit-text-size-adjust:100%;
}
body{
    margin:0;
}
article,aside,details,figcaption,figure,footer,header,hgroup,main,menu,nav,section,summary{
    display:block;
}
audio,canvas,video{
    display:inline-block;
    vertical-align:baseline;
}
audio:not([controls]){
    display:none;height:0;
}[hidden],template{
    display:none;
}
a{
    background-color:transparent;
}
a:active,a:hover{
    outline:0;
}
abbr[title]{
    border-bottom:1px dotted;
}
dfn{
    font-style:italic;
}
mark{
    background:#ff0;
    color:#000;
}
small{
    font-size:80%;
}
sub,sup{
    font-size:75%;
    line-height:0;
    position:relative;
    vertical-align:baseline;
}
sup{
    top:-0.5em;
}
sub{
    bottom:-0.25em;
}
img{
    border:0;
}
svg:not(:root){
    overflow:hidden;
}
figure{
    margin:1em 40px;
}
hr{
    -moz-box-sizing:content-box;
    box-sizing:content-box;
}
code,kbd,pre,samp{
    font-family:monospace,monospace;
    font-size:1em;
}
button,input,select,textarea{
    font:inherit;
    margin:0;
}
button{
    overflow:visible;
}
button,select{
    text-transform:none;
}
button,html input[type=button],input[type=reset],input[type=submit]{
    -webkit-appearance:button;
    cursor:pointer;
}
button[disabled],html input[disabled]{
    cursor:default;
}
button::-moz-focus-inner,input::-moz-focus-inner{
    border:0;
    padding:0;
}
input[type=checkbox],input[type=radio]{
    padding:0;
}
input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{
    height:auto;
}
input[type=search]{
    box-sizing:content-box;
    -webkit-appearance:textfield;
    -moz-box-sizing:content-box;
    -webkit-box-sizing:content-box;
}
input[type=search]::-webkit-search-cancel-button,input[type=search]::-webkit-search-decoration{
    -webkit-appearance:none;
}
fieldset{
    border:1px solid #c0c0c0;
    margin:0 2px;
    padding:.35em .625em .75em;
}
legend{
    border:0;
    padding:0;
}
pre,textarea{
    overflow:auto;
}

/***End of Basic Rules***
 ************************/

html,body{
    font-family:Verdana,sans-serif;
    font-size:15px;
    line-height:1.5;
}
html{
    overflow-x:hidden;
}
h1,h2,h3,h4,h5,h6,.re_slim,.re_wide{
    font-family:"Segoe UI",Arial,sans-serif;
}
h1{
    font-size:36px;
}
h2{
    font-size:30px;
}
h3{
    font-size:24px;
}
h4{
    font-size:20px;
}
h5{
    font-size:18px;
}
h6{
    font-size:16px;
}
.re_serif{
    font-family:"Times New Roman",Times,serif;
}
h1,h2,h3,h4,h5,h6{
    font-weight:400;
    margin:10px 0;
}
.re_wide{
    letter-spacing:4px;
}
h1 a,h2 a,h3 a,h4 a,h5 a,h6 a{
    font-weight:inherit;
}
hr{
    height:0;
    border:0;
    border-top:1px solid #eee;
    margin:20px 0;
}
img{
    margin-bottom:-5px;
}
a{
    color:inherit;
}
table{
    border-collapse:collapse;
    border-spacing:0;
    width:100%;
    display:table;
}
table,th,td{
    border:none;
}
.re_table-all{
    border:1px solid #ccc;
}
.re_bordered tr,.re_table-all tr{
    border-bottom:1px solid #ddd;
}
.re_striped tbody tr:nth-child(even){
    background-color:#f1f1f1;
}
.re_table-all tr:nth-child(odd){
    background-color:#fff;
}
.re_table-all tr:nth-child(even){
    background-color:#f1f1f1;
}
.re_hoverable tbody tr:hover,.re_ul.re_hoverable li:hover{
    background-color:#ccc;
}
.re_centered tr th,.re_centered tr td{
    text-align:center;
}
.re_table td,.re_table th,.re_table-all td,.re_table-all th{
    padding:6px 8px;
    display:table-cell;
    text-align:left;
    vertical-align:top;
}
.re_table th:first-child,.re_table td:first-child,.re_table-all th:first-child,.re_table-all td:first-child{
    padding-left:16px;
}
.re_btn,.re_btn-block{
    border:none;
    display:inline-block;
    outline:0;
    padding:6px 16px;
    vertical-align:middle;
    overflow:hidden;
    text-decoration:none!important;
    color:#fff;
    background-color:#000;
    text-align:center;
    cursor:pointer;
    white-space:nowrap;
}
.re_btn.re_disabled,.re_btn-block.re_disabled,.re_btn-floating.re_disabled,.re_btn:disabled,.re_btn-floating:disabled,.re_btn-floating-large.re_disabled,.re_btn-floating-large:disabled{
    cursor:not-allowed;opacity:0.3;
}
.re_btn.re_disabled *,.re_btn-block.re_disabled,.re_btn-floating.re_disabled *,.re_btn:disabled *,.re_btn-floating:disabled *{
    pointer-events:none;
}
.re_btn.re_disabled:hover,.re_btn-block.re_disabled:hover,.re_btn:disabled:hover,.re_btn-floating.re_disabled:hover,.re_btn-floating:disabled:hover,
.re_btn-floating-large.re_disabled:hover,.re_btn-floating-large:disabled:hover{
    box-shadow:none;
}
.re_btn:hover,.re_btn-block:hover,.re_btn-floating:hover,.re_btn-floating-large:hover{
    box-shadow:0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
}
.re_btn-block{
    width:100%;
}
.re_btn,.re_btn-floating,.re_btn-floating-large,.re_closenav,.re_opennav{
    -webkit-touch-callout:none;
    -webkit-user-select:none;
    -khtml-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
}   
.re_btn-floating,.re_btn-floating-large{
    display:inline-block;
    text-align:center;
    color:#fff;
    background-color:#000;
    position:relative;
    overflow:hidden;
    z-index:1;
    padding:0;
    border-radius:50%;
    cursor:pointer;
    font-size:24px;
}
.re_btn-floating{
    width:40px;
    height:40px;
    line-height:40px;
}
.re_btn-floating-large{
    width:56px;
    height:56px;
    line-height:56px;
}
.re_btn-group .re_btn{
    float:left;
}
.re_btn.re_ripple{
    position:relative;
}
.re_ripple:after{
    content:"";
    background:#90EE90;
    display:block;
    position:absolute;
    padding-top:300%;
    padding-left:350%;
    margin-left:-20px!important;
    margin-top:-120%;
    opacity:0;transition:.8s;
}
.re_ripple:active:after{
    padding:0;
    margin:0;
    opacity:1;
    transition:0s;
}
.re_badge,.re_tag,.re_sign{
    background-color:#000;
    color:#fff;
    display:inline-block;
    padding-left:8px;
    padding-right:8px;
    text-align:center;
}
.re_badge{
    border-radius:50%;
}
ul.re_ul{
    list-style-type:none;
    padding:0;
    margin:0;
}
ul.re_ul li{
    padding:6px 2px 6px 16px;
    border-bottom:1px solid #ddd;
}
ul.re_ul li:last-child{
    border-bottom:none;
}
.re_image,.re_tooltip,.re_display-container{
    position:relative;
}
img.re_image,.re_image img{
    max-width:100%;
    height:auto;
}
.re_image .re_title{
    position:absolute;
    bottom:8px;
    left:16px;
    color:#fff;
    font-size:20px;
}
.re_fluid{
    max-width:100%;
    height:auto;
}
.re_tooltip .re_text{
    display:none;
}
.re_tooltip:hover .re_text{
    display:inline-block;
}
.re_navbar{
    list-style-type:none;
    margin:0;
    padding:0;
    overflow:hidden;
}
.re_navbar li{
    float:left;
}
.re_navbar li a{
    display:block;padding:8px 16px;
}.re_navbar li a:hover{
    color:#000;
    background-color:#ccc;
}
.re_navbar .re_dropdown-hover,.re_navbar .re_dropdown-click{
    position:static;
}
.re_navbar .re_dropdown-hover:hover,.re_navbar .re_dropdown-hover:first-child,.re_navbar .re_dropdown-click:hover{
    background-color:#ccc;
    color:#000;
}
.re_navbar a,.re_topnav a,.re_sidenav a,.re_dropnav a,.re_dropdown-content a,.re_accordion-content a{
    text-decoration:none!important;
}
.re_navbar .re_opennav.re_right{
    float:right!important;
}
.re_topnav{
    padding:8px 8px;
}
.re_topnav a{
    padding:0 8px;
    border-bottom:3px solid transparent;
    -webkit-transition:border-bottom .3s;
    transition:border-bottom .3s;
}
.re_topnav a:hover{
    border-bottom:3px solid #fff;
}.re_topnav .re_dropdown-hover a{
    border-bottom:0;
}
.re_opennav,.re_closenav{
    color:inherit;
}
.re_opennav:hover,.re_closenav:hover{
    cursor:pointer;opacity:0.8;
}
.re_btn,.re_btn-floating,.re_btn-floating-large,.re_btn-block,.re_hover-shadow,.re_hover-opacity,
.re_navbar a,.re_sidenav a,.re_dropnav a,.re_pagination li a,.re_hoverable tbody tr,.re_hoverable li,.re_accordion-content a,.re_dropdown-content a,.re_dropdown-click:hover,.re_dropdown-hover:hover,.re_opennav,.re_closenav,.re_closebtn,
.re_hover-amber,.re_hover-aqua,.re_hover-blue,.re_hover-light-blue,.re_hover-brown,.re_hover-cyan,.re_hover-blue-grey,.re_hover-green,.re_hover-light-green,.re_hover-indigo,.re_hover-khaki,.re_hover-lime,.re_hover-orange,.re_hover-deep-orange,.re_hover-pink,
.re_hover-purple,.re_hover-deep-purple,.re_hover-red,.re_hover-sand,.re_hover-teal,.re_hover-yellow,.re_hover-white,.re_hover-black,.re_hover-grey,.re_hover-light-grey,.re_hover-dark-grey,.re_hover-text-amber,.re_hover-text-aqua,.re_hover-text-blue,.re_hover-text-light-blue,
.re_hover-text-brown,.re_hover-text-cyan,.re_hover-text-blue-grey,.re_hover-text-green,.re_hover-text-light-green,.re_hover-text-indigo,.re_hover-text-khaki,.re_hover-text-lime,.re_hover-text-orange,.re_hover-text-deep-orange,.re_hover-text-pink,.re_hover-text-purple,
.re_hover-text-deep-purple,.re_hover-text-red,.re_hover-text-sand,.re_hover-text-teal,.re_hover-text-yellow,.re_hover-text-white,.re_hover-text-black,.re_hover-text-grey,.re_hover-text-light-grey,.re_hover-text-dark-grey{
    -webkit-transition:background-color .3s,color .15s,box-shadow .3s,opacity 0.3s;
    transition:background-color .3s,color .15s,box-shadow .3s,opacity 0.3s;
}
.re_sidenav{
    height:100%;
    width:200px;
    background-color:#fff;
    position:fixed!important;
    z-index:1;overflow:auto;
}
.re_sidenav a{
    padding:4px 2px 4px 16px;
}
.re_sidenav a:hover{
    background-color:#ccc;
}
.re_sidenav a,.re_dropnav a{
    display:block;
}
.re_sidenav .re_dropdown-hover:hover,.re_sidenav .re_dropdown-hover:first-child,.re_sidenav .re_dropdown-click:hover{
    background-color:#ccc;color:#000;
}
.re_sidenav .re_dropdown-hover,.re_sidenav .re_dropdown-click {
    width:100%;
}
.re_sidenav .re_dropdown-hover .re_dropdown-content,.re_sidenav .re_dropdown-click .re_dropdown-content{
    min-width:100%;
}
.re_main,#main{
    transition:margin-left .4s;
}
.re_dropnav{
    background-color:#fff;
}.re_dropnav a:hover{
    text-decoration:underline!important;
}
.re_modal{
    z-index:3;
    display:none;
    padding-top:100px;
    position:fixed;
    left:0;
    top:0;
    width:100%;
    height:100%;
    overflow:auto;
    background-color:rgb(0,0,0);background-color:rgba(0,0,0,0.4);
}
.re_modal-content{
    margin:auto;
    background-color:#fff;
    position:relative;
    padding:0;
    outline:0;
    width:600px;
}
.re_closebtn{
    text-decoration:none;
    float:right;
    font-size:24px;
    font-weight:bold;
    color:inherit;
}
.re_closebtn:hover,.re_closebtn:focus{
    color:#000;
    text-decoration:none;
    cursor:pointer;
}
.re_pagination{
    display:inline-block;
    padding:0;
    margin:0;
}
.re_pagination li{
    display:inline;
}
.re_pagination li a{
    text-decoration:none;
    color:#000;
    float:left;
    padding:8px 16px;
}
.re_pagination li a:hover,.re_pagination li a:focus{
    background-color:#ccc;
}
.re_input-group,.re_group{
    margin-top:24px;
    margin-bottom:24px;
}
.re_input{
    padding:8px;
    display:block;
    border:none;
    border-bottom:1px solid #808080;
    width:100%;
}
.re_label{
    color:#009688;
}.re_input:not(:valid)~.re_validate{
    color:#f44336;
}
.re_select{
    padding:4px 0;
    width:100%;
    color:#000;
    border:1px solid transparent;
    border-bottom:1px solid #009688;
}
.re_select select:focus{
    color:#000;
    border:1px solid #009688;
}
.re_select option[disabled]{
    color:#009688;
}
.re_dropdown-click,.re_dropdown-hover{
    position:relative;
    display:inline-block;
    cursor:pointer;
}
.re_dropdown-hover:hover .re_dropdown-content{
    display:block;
    z-index:1;
}
.re_dropdown-content{
    cursor:auto;
    color:#000;
    background-color:#fff;
    display:none;
    position:absolute;
    min-width:160px;
    margin:0;
    padding:0;
}
.re_dropdown-content a{
    padding:6px 16px;
    display:block;
}
.re_dropdown-content a:hover{
    background-color:#ccc;
}
.re_accordion {
    width:100%;
    cursor:pointer;
}
.re_accordion-content{
    cursor:auto;
    display:none;
    position:relative;
    width:100%;
    margin:0;
    padding:0;
}
.re_accordion-content a{
    padding:6px 16px;
    display:block;
}
.re_accordion-content a:hover{
    background-color:#ccc;
}
.re_progress-container{
    width:100%;
    height:1.5em;
    position:relative;
    background-color:#f1f1f1;
}
.re_progressbar{
    background-color:#757575;
    height:100%;
    position:absolute;
    line-height:inherit;
}
input[type=checkbox].re_check,input[type=radio].re_radio{
    width:24px;
    height:24px;
    position:relative;
    top:6px;
}
input[type=checkbox].re_check:checked+.re_validate,input[type=radio].re_radio:checked+.re_validate{
    color:#009688;
} 
input[type=checkbox].re_check:disabled+.re_validate,input[type=radio].re_radio:disabled+.re_validate{
    color:#aaa;
}
.re_responsive{
    overflow-x:auto;
}
.re_container:after,.re_row:after,.re_row-padding:after,.re_topnav:after,.re_clear:after,.re_btn-group:before,.re_btn-group:after{
    content:"";
    display:table;
    clear:both;
}
.re_col,.re_half,.re_third,.re_twothird,.re_threequarter,.re_quarter{
    float:left;
    width:100%;
}
.re_col.s1{
    width:8.33333%;
}
.re_col.s2{
    width:16.66666%;
}
.re_col.s3{
    width:24.99999%;
}
.re_col.s4{
    width:33.33333%;
}
.re_col.s5{
    width:41.66666%;
}
.re_col.s6{
    width:49.99999%;
}
.re_col.s7{
    width:58.33333%;
}
.re_col.s8{
    width:66.66666%;
}
.re_col.s9{
    width:74.99999%;
}
.re_col.s10{
    width:83.33333%;
}
.re_col.s11{
    width:91.66666%;
}
.re_col.s12,.re_half,.re_third,.re_twothird,.re_threequarter,.re_quarter{
    width:99.99999%;
}
@media only screen and (min-width:601px){
    .re_col.m1{
        width:8.33333%;
    }
    .re_col.m2{
        width:16.66666%;
    }
    .re_col.m3,.re_quarter{
        width:24.99999%;
    }
    .re_col.m4,.re_third{
        width:33.33333%;
    }
    .re_col.m5{
        width:41.66666%;
    }
    .re_col.m6,.re_half{
        width:49.99999%;
    }
    .re_col.m7{
        width:58.33333%;
    }
    .re_col.m8,.re_twothird{
        width:66.66666%;
    }
    .re_col.m9,.re_threequarter{
        width:74.99999%;
    }
    .re_col.m10{
        width:83.33333%;
    }
    .re_col.m11{
        width:91.66666%;
    }
    .re_col.m12{
        width:99.99999%;
    }
}
@media only screen and (min-width:993px){
    .re_col.l1{
        width:8.33333%;
    }
    .re_col.l2{
        width:16.66666%;
    }
    .re_col.l3,.re_quarter{
        width:24.99999%;
    }
    .re_col.l4,.re_third{
        width:33.33333%;
    }
    .re_col.l5{
        width:41.66666%;
    }
    .re_col.l6,.re_half{
        width:49.99999%;
    }
    .re_col.l7{
        width:58.33333%;
    }
    .re_col.l8,.re_twothird{
        width:66.66666%;
    }
    .re_col.l9,.re_threequarter{
        width:74.99999%;
    }
    .re_col.l10{
        width:83.33333%;
    }
    .re_col.l11{
        width:91.66666%;
    }
    .re_col.l12{
        width:99.99999%;
    }
}
.re_content{
    max-width:980px;
    margin:auto;
}
.re_rest{
    overflow:hidden;
}
.re_hide{
    display:none!important;
}
.re_show-block,.re_show{
    display:block!important;
}
.re_show-inline-block{
    display:inline-block!important;
}
@media (max-width:600px){
    .re_modal-content{
        margin:0 10px;
        width:auto!important;
    }
    .re_modal{
        padding-top:30px;
    }
}
@media (max-width:768px){
    .re_modal-content{
        width:500px;
    }
    .re_modal{
        padding-top:50px;
    }
}
@media (min-width:993px){
    .re_modal-content{
        width:900px;
    }
}
@media screen and (max-width:600px){
    .re_topnav a{
        display:block;
    }
    .re_navbar li:not(.re_opennav){
        float:none;width:100%!important;
    }
    .re_navbar li.re_right{
        float:none!important;
    }
}	
@media screen and (max-width:600px){
    .re_topnav .re_dropdown-hover .re_dropdown-content,.re_navbar .re_dropdown-click .re_dropdown-content,.re_navbar .re_dropdown-hover .re_dropdown-content{
        position:relative;
    }
}	
@media screen and (max-width:600px){
    .re_topnav,.re_navbar{
        text-align:center;
    }
}
@media (max-width:600px){
    .re_hide-small{
        display:none!important;
    }
}
@media (max-width:992px) and (min-width:601px){
    .re_hide-medium{
        display:none!important;
    }
}
@media (min-width:993px){
    .re_hide-large{
        display:none!important;
    }
}
@media screen and (max-width:992px){
    .re_sidenav.re_collapse{
        display:none;
    }
    .re_main{
        margin-left:0!important;
    }
}
@media screen and (min-width:992px){
    .re_sidenav.re_collapse{
        display:block!important;
    }
}
.re_top,.re_bottom{
    position:fixed;
    width:100%;
    z-index:1;
}
.re_top{
    top:0;
}
.re_bottom{
    bottom:0;
}
.re_overlay{
    position:fixed;
    display:none;
    width:100%;
    height:100%;
    top:0;
    left:0;
    right:0;
    bottom:0;
    background-color:rgba(0,0,0,0.5);
    z-index:2;
}
.re_left{
    float:left!important;
}
.re_right{
    float:right!important;
}
.re_tiny{
    font-size:10px!important;
}
.re_small{
    font-size:12px!important;
}
.re_medium{
    font-size:15px!important;
}
.re_large{
    font-size:18px!important;
}
.re_xlarge{
    font-size:24px!important;
}
.re_xxlarge{
    font-size:36px!important;
}
.re_xxxlarge{
    font-size:48px!important;
}
.re_jumbo{
    font-size:64px!important;
}
.re_vertical{
    word-break:break-all;
    line-height:1;
    text-align:center;
    width:0.6em;
}
.re_left-align{
    text-align:left!important;
}
.re_right-align{
    text-align:right!important;
}
.re_justify{
    text-align:justify!important;
}
.re_center{
    text-align:center!important;
}
.re_display-topleft{
    position:absolute;
    left:0;
    top:0;
}.re_display-topright{
    position:absolute;
    right:0;
    top:0;
}
.re_display-bottomleft{
    position:absolute;
    left:0;
    bottom:0;
}
.re_display-bottomright{
    position:absolute;
    right:0;
    bottom:0;
}
.re_display-middle{
    position:absolute;
    left:0;
    bottom:50%;
    width:100%;
    text-align:center;
}
.re_display-topmiddle{
    position:absolute;
    left:0;
    top:0;
    width:100%;
    text-align:center;
}
.re_display-bottommiddle{
    position:absolute;
    left:0;
    bottom:0;
    width:100%;
    text-align:center;
}
.re_circle{
    border-radius:50%!important;
}
.re_round-small{
    border-radius:2px!important;
}
.re_round,.re_round-medium{
    border-radius:4px!important;
}
.re_round-large{
    border-radius:8px!important;
}
.re_round-xlarge{
    border-radius:16px!important;
}
.re_round-xxlarge{
    border-radius:32px!important;
}
.re_round-jumbo{
    border-radius:64px!important;
}
.re_border-0{
    border:0!important;
}
.re_border{
    border:1px solid #ccc!important;
}
.re_border-top{
    border-top:1px solid #ccc!important;
}
.re_border-bottom{
    border-bottom:1px solid #ccc!important;
}
.re_border-left{
    border-left:1px solid #ccc!important;
}
.re_border-right{
    border-right:1px solid #ccc!important;
}
.re_margin{
    margin:16px!important;
}
.re_margin-0{
    margin:0!important;
}
.re_margin-top{
    margin-top:16px!important;
}
.re_margin-bottom{
    margin-bottom:16px!important;
}
.re_margin-left{
    margin-left:16px!important;
}
.re_margin-right{
    margin-right:16px!important;
}
.re_section{
    margin-top:16px!important;
    margin-bottom:16px!important;
}
.re_margin-4{
    margin:4px!important;
}
.re_margin-8{
    margin:8px!important;
}
.re_margin-12{
    margin:12px!important;
}
.re_margin-16{
    margin:16px!important;
}
.re_margin-24{
    margin:24px!important;
}
.re_margin-32{
    margin:32px!important;
}
.re_margin-48{
    margin:48px!important;
}
.re_margin-64{
    margin:64px!important;
}
.re_padding-tiny{
    padding:2px 4px!important;
}
.re_padding-small{
    padding:4px 8px!important;
}
.re_padding-medium,.re_padding,.re_form{
    padding:8px 16px!important;
}
.re_padding-large{
    padding:12px 24px!important;
}
.re_padding-xlarge{
    padding:16px 32px!important;
}
.re_padding-xxlarge{
    padding:24px 48px!important;
}
.re_padding-jumbo{
    padding:32px 64px!important;
}
.re_padding-4,.re_padding-hor-4{
    padding-top:4px!important;
    padding-bottom:4px!important;
}
.re_padding-8,.re_padding-hor-8{
    padding-top:8px!important;
    padding-bottom:8px!important;
}
.re_padding-12,.re_padding-hor-12{
    padding-top:12px!important;
    padding-bottom:12px!important;
}
.re_padding-16,.re_padding-hor-16{
    padding-top:16px!important;
    padding-bottom:16px!important;
}
.re_padding-24,.re_padding-hor-24{
    padding-top:24px!important;
    padding-bottom:24px!important;
}
.re_padding-32,.re_padding-hor-32{
    padding-top:32px!important;
    padding-bottom:32px!important;
}
.re_padding-48,.re_padding-hor-48{
    padding-top:48px!important;
    padding-bottom:48px!important;
}
.re_padding-64,.re_padding-hor-64{
    padding-top:64px!important;
    padding-bottom:64px!important;
}
.re_padding-128,.re_padding-hor-128{
    padding-top:128px!important;
    padding-bottom:128px!important;
}
.re_padding-0{
    padding:0!important;
}
.re_padding-ver-4{
    padding-left:4px!important;
    padding-right:4px!important;
}
.re_padding-ver-8{
    padding-left:8px!important;
    padding-right:8px!important;
}
.re_padding-ver-12{
    padding-left:12px!important;
    padding-right:12px!important;
}
.re_padding-ver-16{
    padding-left:16px!important;
    padding-right:16px!important;
}
.re_padding-ver-24{
    padding-left:24px!important;
    padding-right:24px!important;
}
.re_padding-ver-32{
    padding-left:32px!important;
    padding-right:32px!important;
}
.re_padding-ver-48{
    padding-left:48px!important;
    padding-right:48px!important;
}
.re_padding-ver-64{
    padding-left:64px!important;
    padding-right:64px!important;
}
.re_padding-top{
    padding-top:8px!important;
}
.re_padding-bottom{
    padding-bottom:8px!important;
}
.re_padding-left{
    padding-left:16px!important;
}
.re_padding-right{
    padding-right:16px!important;
}
.re_topbar{
    border-top:6px solid #ccc!important;
}
.re_bottombar{
    border-bottom:6px solid #ccc!important;
}
.re_leftbar{
    border-left:6px solid #ccc!important;
}
.re_rightbar{
    border-right:6px solid #ccc!important;
}
.re_row-padding,.re_row-padding>.re_half,.re_row-padding>.re_third,.re_row-padding>.re_twothird,.re_row-padding>.re_threequarter,.re_row-padding>.re_quarter,.re_row-padding>.re_col{
    padding:0 8px;
}
.re_spin{
    animation:re_spin 2s infinite linear;
    -webkit-animation:re_spin 2s infinite linear;
}
@-webkit-keyframes re_spin{
    0%{
        -webkit-transform:rotate(0deg);
        transform:rotate(0deg);
    }
    100%{
        -webkit-transform:rotate(359deg);
        transform:rotate(359deg);
    }
}
@keyframes re_spin{
    0%{
        -webkit-transform:rotate(0deg);
        transform: rotate(0deg);
    }
    100%{
        -webkit-transform:rotate(359deg);
        transform:rotate(359deg);
    }
}
.re_container{
    padding:0.01em 16px;
}
.re_example{
    background-color:#f1f1f1;
    padding:0.01em 16px;
}
.re_code{
    font-family:Consolas,"courier new";
    font-size:16px;
    line-height:1.4;
    width:auto;
    background-color:#fff;
    padding:8px 12px;
    border-left:4px solid #009688;
    word-wrap:break-word;
}
.re_example,.re_code,.re_reference{
    margin:20px 0;
}
.re_card{
    border:1px solid #ccc;
}
.re_card-2,.re_example{
    box-shadow:0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
}
.re_card-4,.re_hover-shadow:hover{
    box-shadow:0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19)!important;
}
.re_card-8{
    box-shadow:0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19)!important;
}
.re_card-12{
    box-shadow:0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19)!important;
}
.re_card-16{
    box-shadow:0 16px 24px 0 rgba(0,0,0,0.22),0 25px 55px 0 rgba(0,0,0,0.21)!important;
}
.re_card-24{
    box-shadow:0 24px 24px 0 rgba(0,0,0,0.2),0 40px 77px 0 rgba(0,0,0,0.22)!important;
}

/***Animation***
 ***************/

.re_animate-fading{
    -webkit-animation:fading 10s infinite;
    animation:fading 10s infinite;
}
@-webkit-keyframes fading{
    0%{
        opacity:0;
    }50%{
        opacity:1;
    }100%{
        opacity:0;
    }
}
@keyframes fading{
    0%{
        opacity:0;
    }50%{
        opacity:1;
    }100%{
        opacity:0;
    }
}
.re_animate-opacity{
    -webkit-animation:opac 1.5s;
    animation:opac 1.5s;
}
@-webkit-keyframes opac{
    from{
        opacity:0;
    } to{
        opacity:1;
    }
}
@keyframes opac{
    from{
        opacity:0;
    } to{
        opacity:1;
    }
}
.re_animate-top{
    position:relative;
    -webkit-animation:animatetop 0.4s;
    animation:animatetop 0.4s;
}
@-webkit-keyframes animatetop{
    from{
        top:-300px;
        opacity:0;
    } to{
        top:0;
        opacity:1;
    }
}
@keyframes animatetop{
    from{
        top:-300px;
        opacity:0;
    } to{
        top:0;
        opacity:1;
    }
}
.re_animate-left{
    position:relative;
    -webkit-animation:animateleft 0.4s;
    animation:animateleft 0.4s;
}
@-webkit-keyframes animateleft{
    from{
        left:-300px;
        opacity:0;
    } to{
        left:0;
        opacity:1;
    }
}
@keyframes animateleft{
    from{
        left:-300px;
        opacity:0;
    } to{
        left:0;
        opacity:1;
    }
}
.re_animate-right{
    position:relative;
    -webkit-animation:animateright 0.4s;
    animation:animateright 0.4s;
}
@-webkit-keyframes animateright{
    from{
        right:-300px;
        opacity:0;
    } to{
        right:0;
        opacity:1;
    }
}
@keyframes animateright{
    from{
        right:-300px;
        opacity:0;
    } to{
        right:0;
        opacity:1;
    }
}
.re_animate-bottom{
    position:relative;
    -webkit-animation:animatebottom 0.4s;
    animation:animatebottom 0.4s;
}
@-webkit-keyframes animatebottom{
    from{
        bottom:-300px;
        opacity:0;
    } to{
        bottom:0px;
        opacity:1;
    }
}
@keyframes animatebottom{
    from{
        bottom:-300px;
        opacity:0;
    } to{
        bottom:0;
        pacity:1;
    }
}
.re_animate-zoom {
    -webkit-animation:animatezoom 0.6s;
    animation:animatezoom 0.6s;
}
@-webkit-keyframes animatezoom{
    from{
        -webkit-transform:scale(0);
    } to{
        -webkit-transform:scale(1);
    }
}
@keyframes animatezoom{
    from{
        transform:scale(0);
    } to{
        transform:scale(1);
    }
}
.re_animate-input{
    -webkit-transition:width 0.4s ease-in-out;
    transition:width 0.4s ease-in-out;
}
.re_animate-input:focus{
    width:100%!important;
}
.re_transparent{
    background-color:transparent!important;
}
.re_hover-none:hover{
    box-shadow:none!important;
    background-color:transparent!important;
}

/***End of Animation***
 **********************/

/***Colors***
 ************/

.re_amber,.re_hover-amber:hover{
    color:#000!important;
    background-color:#ffc107!important;
}
.re_aqua,.re_hover-aqua:hover{
    color:#000!important;
    background-color:#00ffff!important;
}
.re_blue,.re_hover-blue:hover{
    color:#fff!important;
    background-color:#2196F3!important;
}
.re_light-blue,.re_hover-light-blue:hover{
    color:#000!important;
    background-color:#87CEEB!important;
}
.re_brown,.re_hover-brown:hover{
    color:#fff!important;
    background-color:#795548!important;
}
.re_cyan,.re_hover-cyan:hover{
    color:#000!important;
    background-color:#00bcd4!important;
}
.re_blue-grey,.re_hover-blue-grey:hover{
    color:#fff!important;
    background-color:#607d8b!important;
}
.re_green,.re_hover-green:hover{
    color:#fff!important;
    background-color:#4CAF50!important;
}
.re_light-green,.re_hover-light-green:hover{
    color:#000!important;
    background-color:#8bc34a!important;
}
.re_indigo,.re_hover-indigo:hover{
    color:#fff!important;
    background-color:#3f51b5!important;
}
.re_khaki,.re_hover-khaki:hover{
    color:#000!important;
    background-color:#f0e68c!important;
}
.re_lime,.re_hover-lime:hover{
    color:#000!important;
    background-color:#cddc39!important;
}
.re_orange,.re_hover-orange:hover{
    color:#000!important;
    background-color:#ff9800!important;
}
.re_deep-orange,.re_hover-deep-orange:hover{
    color:#fff!important;
    background-color:#ff5722!important;
}
.re_pink,.re_hover-pink:hover{
    color:#fff!important;
    background-color:#e91e63!important;
}
.re_purple,.re_hover-purple:hover{
    color:#fff!important;
    background-color:#9c27b0!important;
}
.re_deep-purple,.re_hover-deep-purple:hover{
    color:#fff!important;
    background-color:#673ab7!important;
}
.re_red,.re_hover-red:hover{
    color:#fff!important;
    background-color:#f44336!important;
}
.re_sand,.re_hover-sand:hover{
    color:#000!important;
    background-color:#fdf5e6!important;
}
.re_teal,.re_hover-teal:hover{
    color:#fff!important;
    background-color:#009688!important;
}
.re_yellow,.re_hover-yellow:hover{
    color:#000!important;
    background-color:#ffeb3b!important;
}
.re_white,.re_hover-white:hover{
    color:#000!important;
    background-color:#fff!important;
}
.re_black,.re_hover-black:hover{
    color:#fff!important;
    background-color:#000!important;
}
.re_grey,.re_hover-grey:hover{
    color:#000!important;
    background-color:#9e9e9e!important;
}
.re_light-grey,.re_hover-light-grey:hover{
    color:#000!important;
    background-color:#f1f1f1!important;
}
.re_dark-grey,.re_hover-dark-grey:hover{
    color:#fff!important;
    background-color:#616161!important;
}
.re_pale-red,.w3-hover-pale-red:hover{
    color:#000!important;
    background-color:#ffe7e7!important;
}
.re_pale-green,.re_hover-pale-green:hover{
    color:#000!important;
    background-color:#e7ffe7!important;
}
.re_pale-yellow,.w3-hover-pale-yellow:hover{
    color:#000!important;
    background-color:#ffffd7!important;
}
.re_pale-blue,.re_hover-pale-blue:hover{
    color:#000!important;
    background-color:#e7ffff!important;
}
.re_text-amber,.re_hover-text-amber:hover{
    color:#ffc107!important;
}
.re_text-aqua,.re_hover-text-aqua:hover{
    color:#00ffff!important;
}
.re_text-blue,.re_hover-text-blue:hover{
    color:#2196F3!important;
}
.re_text-light-blue,.re_hover-text-light-blue:hover{
    color:#87CEEB!important;
}
.re_text-brown,.re_hover-text-brown:hover{
    color:#795548!important;
}
.re_text-cyan,.re_hover-text-cyan:hover{
    color:#00bcd4!important;
}
.re_text-blue-grey,.re_hover-text-blue-grey:hover{
    color:#607d8b!important;
}
.re_text-green,.re_hover-text-green:hover{
    color:#4CAF50!important;
}
.re_text-light-green,.re_hover-text-light-green:hover{
    color:#8bc34a!important;
}
.re_text-indigo,.re_hover-text-indigo:hover{
    color:#3f51b5!important;
}
.re_text-khaki,.re_hover-text-khaki:hover{
    color:#b4aa50!important;
}
.re_text-lime,.re_hover-text-lime:hover{
    color:#cddc39!important;
}
.re_text-orange,.re_hover-text-orange:hover{
    color:#ff9800!important;
}
.re_text-deep-orange,.re_hover-text-deep-orange:hover{
    color:#ff5722!important;
}
.re_text-pink,.re_hover-text-pink:hover{
    color:#e91e63!important;
}
.re_text-purple,.re_hover-text-purple:hover{
    color:#9c27b0!important;
}
.re_text-deep-purple,.re_hover-text-deep-purple:hover{
    color:#673ab7!important;
}
.re_text-red,.re_hover-text-red:hover{
    color:#f44336!important;
}
.re_text-sand,.re_hover-text-sand:hover{
    color:#fdf5e6!important;
}
.re_text-teal,.re_hover-text-teal:hover{
    color:#009688!important;
}
.re_text-yellow,.re_hover-text-yellow:hover{
    color:#d2be0e!important;
}
.re_text-white,.re_hover-text-white:hover{
    color:#fff!important;
}
.re_text-black,.re_hover-text-black:hover{
    color:#000!important;
}
.re_text-grey,.re_hover-text-grey:hover{
    color:#757575!important;
}
.re_text-light-grey,.re_hover-text-light-grey:hover{
    color:#f1f1f1!important;
}
.re_text-dark-grey,.re_hover-text-dark-grey:hover{
    color:#3a3a3a!important;
}
.re_border-amber,.re_hover-border-amber:hover{
    border-color:#ffc107!important;
}
.re_border-aqua,.re_hover-border-aqua:hover{
    border-color:#00ffff!important;
}
.re_border-blue,.re_hover-border-blue:hover{
    border-color:#2196F3!important;
}
.re_border-light-blue,.re_hover-border-light-blue:hover{
    border-color:#87CEEB!important;
}
.re_border-brown,.re_hover-border-brown:hover{
    border-color:#795548!important;
}
.re_border-cyan,.re_hover-border-cyan:hover{
    border-color:#00bcd4!important;
}
.re_border-blue-grey,.re_hover-blue-grey:hover{
    border-color:#607d8b!important;
}
.re_border-green,.re_hover-border-green:hover{
    border-color:#4CAF50!important;
}
.re_border-light-green,.re_hover-border-light-green:hover{
    border-color:#8bc34a!important;
}
.re_border-indigo,.re_hover-border-indigo:hover{
    border-color:#3f51b5!important;
}
.re_border-khaki,.re_hover-border-khaki:hover{
    border-color:#f0e68c!important;
}
.re_border-lime,.re_hover-border-lime:hover{
    border-color:#cddc39!important;
}
.re_border-orange,.re_hover-border-orange:hover{
    border-color:#ff9800!important;
}
.re_border-deep-orange,.re_hover-border-deep-orange:hover{
    border-color:#ff5722!important;
}
.re_border-pink,.re_hover-border-pink:hover{
    border-color:#e91e63!important;
}
.re_border-purple,.re_hover-border-purple:hover{
    border-color:#9c27b0!important;
}
.re_border-deep-purple,.re_hover-border-deep-purple:hover{
    border-color:#673ab7!important;
}
.re_border-red,.re_hover-border-red:hover{
    border-color:#f44336!important;
}
.re_border-sand,.re_hover-border-sand:hover{
    border-color:#fdf5e6!important;
}
.re_border-teal,.re_hover-border-teal:hover{
    border-color:#009688!important;
}
.re_border-yellow,.re_hover-border-yellow:hover{
    border-color:#ffeb3b!important;
}
.re_border-white,.re_hover-border-white:hover{
    border-color:#fff!important;
}
.re_border-black,.re_hover-border-black:hover{
    border-color:#000!important;
}
.re_border-grey,.re_hover-border-grey:hover{
    border-color:#9e9e9e!important;
}
.re_border-light-grey,.re_hover-border-light-grey:hover{
    border-color:#f1f1f1!important;
}
.re_border-dark-grey,.re_hover-border-dark-grey:hover{
    border-color:#616161!important;
}
.re_border-pale-red,.re_hover-border-pale-red:hover{
    border-color:#ffe7e7!important;
}
.re_border-pale-green,.re_hover-border-pale-green:hover{
    border-color:#e7ffe7!important;
}
.re_border-pale-yellow,.re_hover-border-pale-yellow:hover{
    border-color:#ffffd7!important;
}
.re_border-pale-blue,.re_hover-border-pale-blue:hover{
    border-color:#e7ffff!important;
}
.re_opacity,.re_hover-opacity:hover{
    opacity:0.60;
}
.re_text-shadow{
    text-shadow:1px 1px 0 #444;
}
.re_text-shadow-white{
    text-shadow:1px 1px 0 #ddd;
}

/***End of Colors***
 *******************/